## comet-ms 2014022

=== Makefile ===
CXX = g++
MSTOOLKIT = MSToolkit
COMETSEARCH = CometSearch
override CXXFLAGS += -O3 -Wall -Wextra -static -Wno-char-subscripts -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I$(MSTOOLKIT)/include -I$(COMETSEARCH)
EXECNAME = comet.exe
OBJS = Comet.o
DEPS = CometSearch/CometData.h CometSearch/CometPreprocess.h CometSearch/CometWriteOut.h CometSearch/CometWriteSqt.h CometSearch/OSSpecificThreading.h CometSearch/CometMassSpecUtils.h CometSearch/CometSearch.h CometSearch/CometWritePepXML.h CometSearch/CometWriteTxt.h CometSearch/Threading.h CometSearch/CometPostAnalysis.h CometSearch/CometSearchManager.h CometSearch/CometWritePercolator.h CometSearch/Common.h CometSearch/ThreadPool.h CometSearch/CometMassSpecUtils.cpp CometSearch/CometSearch.cpp CometSearch/CometWritePepXML.cpp CometSearch/CometWriteTxt.cpp CometSearch/CometPostAnalysis.cpp CometSearch/CometSearchManager.cpp CometSearch/CometWritePercolator.cpp CometSearch/Threading.cpp CometSearch/CometPreprocess.cpp CometSearch/CometWriteOut.cpp CometSearch/CometWriteSqt.cpp

LIBPATHS = -L$(MSTOOLKIT) -L$(COMETSEARCH)
LIBS = -lcometsearch -lmstoolkitlite -lm -lpthread
ifdef MSYSTEM
   LIBS += -lws2_32
endif

comet.exe: $(OBJS)
	cd MSToolkit ; make ; cd ../CometSearch; make
	${CXX} $(CXXFLAGS) $(OBJS) $(LIBPATHS) $(LIBS) -o ${EXECNAME}

Comet.o: Comet.cpp $(DEPS)
	${CXX} ${CXXFLAGS} Comet.cpp -c

clean:
	rm -f *.o ${EXECNAME}
	cd MSToolkit ; make clean; cd ../CometSearch; make clean

=== CometSearch/Makefile ===
CXX = g++
GCC = gcc
MSTOOLKIT = ../MSToolkit
override CXXFLAGS += -O3 -Wall -Wextra -static -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DGCC -I. -I$(MSTOOLKIT)/include

COMETSEARCH = Threading.o CometInterfaces.o CometSearch.o CometPreprocess.o CometPostAnalysis.o CometMassSpecUtils.o CometWriteOut.o CometWriteSqt.o CometWritePepXML.o CometWritePercolator.o CometWriteTxt.o CometSearchManager.o

all:  $(COMETSEARCH)
	ar rcs libcometsearch.a $(COMETSEARCH)

clean:
	rm -f *.o libcometsearch.a

Threading.o:          Threading.cpp Threading.h
	${CXX} ${CXXFLAGS} Threading.cpp -c
CometSearch.o:        CometSearch.cpp Common.h CometData.h CometDataInternal.h CometSearch.h CometInterfaces.h ThreadPool.h
	${CXX} ${CXXFLAGS} CometSearch.cpp -c
CometPreprocess.o:    CometPreprocess.cpp Common.h CometData.h CometDataInternal.h CometPreprocess.h CometInterfaces.h $(MSTOOLKIT)
	${CXX} ${CXXFLAGS} CometPreprocess.cpp -c
CometMassSpecUtils.o: CometMassSpecUtils.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometInterfaces.h
	${CXX} ${CXXFLAGS} CometMassSpecUtils.cpp -c
CometPostAnalysis.o:  CometPostAnalysis.cpp Common.h CometData.h CometDataInternal.h ThreadPool.h CometPostAnalysis.h CometMassSpecUtils.h CometInterfaces.h
	${CXX} ${CXXFLAGS} CometPostAnalysis.cpp -c
CometWriteOut.o:      CometWriteOut.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometWriteOut.h CometInterfaces.h
	${CXX} ${CXXFLAGS} CometWriteOut.cpp -c
CometWriteSqt.o:      CometWriteSqt.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometWriteSqt.h CometInterfaces.h
	${CXX} ${CXXFLAGS} CometWriteSqt.cpp -c
CometWritePepXML.o:   CometWritePepXML.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometWritePepXML.h CometInterfaces.h
	${CXX} ${CXXFLAGS} CometWritePepXML.cpp -c
CometWritePercolator.o:   CometWritePercolator.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometWritePercolator.h CometInterfaces.h
	${CXX} ${CXXFLAGS} CometWritePercolator.cpp -c
CometWriteTxt.o:      CometWriteTxt.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometWriteTxt.h CometInterfaces.h
	${CXX} ${CXXFLAGS} CometWriteTxt.cpp -c
CometSearchManager.o:      CometSearchManager.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometSearch.h CometPostAnalysis.h CometWriteOut.h CometWriteSqt.h CometWriteTxt.h CometWritePepXML.h CometWritePercolator.h Threading.h ThreadPool.h CometSearchManager.h CometInterfaces.h
	${CXX} ${CXXFLAGS} CometSearchManager.cpp -c
CometInterfaces.o:      CometInterfaces.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometSearch.h CometPostAnalysis.h CometWriteOut.h CometWriteSqt.h CometWriteTxt.h CometWritePepXML.h CometWritePercolator.h Threading.h ThreadPool.h CometSearchManager.h CometInterfaces.h
	${CXX} ${CXXFLAGS} CometInterfaces.cpp -c

=== debian/changelog ===
comet-ms (2014022-2) unstable; urgency=medium

  * debian/upstream/metadata: put quotes to the title.

  * Still closing (Closes: #768058).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 Sep 2015 16:09:13 +0200

comet-ms (2014022-1) unstable; urgency=medium

  * Initial packaging (Closes: #768058).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Nov 2014 16:49:05 +0100

=== debian/control ===
Source: comet-ms
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9.2),
	       quilt (>= 0.63-3),
               dpkg-dev (>= 1.16.1~),
               libmstoolkit-dev (= 77.0.0-1),
               docbook-to-man
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/comet-ms/
Vcs-Git: git://anonscm.debian.org/debichem/packages/comet-ms.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/comet-ms.git

Package: comet-ms
Architecture: any
Depends:  ${shlibs:Depends}, 
          ${misc:Depends}
Suggests: 
Description: Tandem mass spectrometry (MS/MS) search engine
 Comet is an open source tandem mass spectrometry (MS/MS) sequence
 database search engine. It identifies peptides by searching MS/MS
 spectra against sequences present in protein sequence databases.
 .
 This package ships a binary that does MS/MS database
 searches. Supported input formats are mzXML, mzML, and ms2
 files. Supported output formats are .out, SQT, and pepXML.

Package: comet-ms-dbg
Section: debug
Priority: extra
Architecture: any
Depends: comet-ms (= ${binary:Version}),
         ${misc:Depends}
Suggests: 
Description: Tandem mass spectrometry (MS/MS) search engine - debug symbols
 Comet is an open source tandem mass spectrometry (MS/MS) sequence
 database search engine. It identifies peptides by searching MS/MS
 spectra against sequences present in protein sequence databases.
 .
 This package ships the d ebug symbols of the comet-ms binary (refer
 to the comet-ms package for details).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


# This is the only method that actually worked...
# Combined with the CFLAGS += <new flags> in the Makefile.
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
DEB_HOST_MULTIARCH?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	dh_quilt_patch
	make clean
	rm -f debian/comet-ms.1
	dh_quilt_unpatch

manpage:
	docbook-to-man debian/comet-ms.sgml > debian/comet-ms.1

override_dh_auto_build: manpage
	dh_quilt_patch
	make 

override_dh_strip:
	dh_strip --dbg-package=comet-ms-dbg -a

## comet-ms 2017012

=== debian/changelog ===
comet-ms (2017012-1) unstable; urgency=medium

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 03 Dec 2017 21:15:46 +0100

comet-ms (2016012-1) unstable; urgency=medium

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 14 Sep 2017 15:22:57 +0200

comet-ms (2014022-3) unstable; urgency=medium

  * Modify the version rule of the libmstoolkit-dev Build-Depends to be
    more flexible (Closes: #802171).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 26 Oct 2015 20:59:18 +0100

=== debian/control ===
Source: comet-ms
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>=9.20130630),
	dpkg-dev (>= 1.16.1~),
	libmstoolkit-dev (>= 82),
	libmstoolkit-dev (<< 83),
	docbook-to-man
Standards-Version: 4.1.1
Homepage: http://sourceforge.net/projects/comet-ms/
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/comet-ms.git
Vcs-Browser: https://anonscm.debian.org/git/debichem/packages/comet-ms.git

Package: comet-ms
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tandem mass spectrometry (MS/MS) search engine
 Comet is an open source tandem mass spectrometry (MS/MS) sequence
 database search engine. It identifies peptides by searching MS/MS
 spectra against sequences present in protein sequence databases.
 .
 This package ships a binary that does MS/MS database
 searches. Supported input formats are mzXML, mzML, and ms2
 files. Supported output formats are .out, SQT, and pepXML.

=== debian/rules ===
--- 
+++ 
@@ -19,18 +19,20 @@
 %:
 	dh $@
 
+override_dh_auto_configure: clean
+	echo "configuring"
+	mkdir debian/build
+	cp -vf debian/Makefile debian/build
+	cp -vf Comet.cpp debian/build
+	cp -vf CometSearch/*.[ch]* debian/build
+
 override_dh_auto_clean:
-	dh_quilt_patch
-	make clean
+	rm -rf debian/build
 	rm -f debian/comet-ms.1
-	dh_quilt_unpatch
 
 manpage:
 	docbook-to-man debian/comet-ms.sgml > debian/comet-ms.1
 
 override_dh_auto_build: manpage
-	dh_quilt_patch
-	make 
+	cd debian/build && make
 
-override_dh_strip:
-	dh_strip --dbg-package=comet-ms-dbg -a

## comet-ms 2017014

=== Makefile ===
CXX = g++
MSTOOLKIT = MSToolkit
COMETSEARCH = CometSearch
override CXXFLAGS += -O3 -Wall -Wextra -static -Wno-char-subscripts -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D__LINUX__ -I$(MSTOOLKIT)/include -I$(COMETSEARCH)
EXECNAME = comet.exe
OBJS = Comet.o
DEPS = CometSearch/CometData.h CometSearch/CometDataInternal.h CometSearch/CometPreprocess.h CometSearch/CometWriteOut.h CometSearch/CometWriteSqt.h CometSearch/OSSpecificThreading.h CometSearch/CometMassSpecUtils.h CometSearch/CometSearch.h CometSearch/CometWritePepXML.h CometSearch/CometWriteTxt.h CometSearch/Threading.h CometSearch/CometPostAnalysis.h CometSearch/CometSearchManager.h CometSearch/CometWritePercolator.h CometSearch/Common.h CometSearch/ThreadPool.h CometSearch/CometMassSpecUtils.cpp CometSearch/CometSearch.cpp CometSearch/CometWritePepXML.cpp CometSearch/CometWriteTxt.cpp CometSearch/CometPostAnalysis.cpp CometSearch/CometSearchManager.cpp CometSearch/CometWritePercolator.cpp CometSearch/Threading.cpp CometSearch/CometPreprocess.cpp CometSearch/CometWriteOut.cpp CometSearch/CometWriteSqt.cpp

LIBPATHS = -L$(MSTOOLKIT) -L$(COMETSEARCH)
LIBS = -lcometsearch -lmstoolkitlite -lm -lpthread
ifdef MSYSTEM
   LIBS += -lws2_32
endif

comet.exe: $(OBJS)
	cd $(MSTOOLKIT) ; make lite ; cd ../CometSearch ; make
	${CXX} $(CXXFLAGS) $(OBJS) $(LIBPATHS) $(LIBS) -o ${EXECNAME}

Comet.o: Comet.cpp $(DEPS)
	${CXX} ${CXXFLAGS} Comet.cpp -c

clean:
	rm -f *.o ${EXECNAME}
	cd $(MSTOOLKIT) ; make clean ; cd ../CometSearch ; make clean

=== CometSearch/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CXX = g++
 GCC = gcc
 MSTOOLKIT = ../MSToolkit
-override CXXFLAGS += -O3 -Wall -Wextra -static -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DGCC -I. -I$(MSTOOLKIT)/include
+override CXXFLAGS += -O3 -Wall -Wextra -Wno-write-strings -static -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DGCC -I. -I$(MSTOOLKIT)/include
 
 COMETSEARCH = Threading.o CometInterfaces.o CometSearch.o CometPreprocess.o CometPostAnalysis.o CometMassSpecUtils.o CometWriteOut.o CometWriteSqt.o CometWritePepXML.o CometWritePercolator.o CometWriteTxt.o CometSearchManager.o
 
@@ -19,7 +19,7 @@
 	${CXX} ${CXXFLAGS} CometPreprocess.cpp -c
 CometMassSpecUtils.o: CometMassSpecUtils.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometInterfaces.h
 	${CXX} ${CXXFLAGS} CometMassSpecUtils.cpp -c
-CometPostAnalysis.o:  CometPostAnalysis.cpp Common.h CometData.h CometDataInternal.h ThreadPool.h CometPostAnalysis.h CometMassSpecUtils.h CometInterfaces.h
+CometPostAnalysis.o:  CometPostAnalysis.cpp Common.h CometData.h CometDataInternal.h ThreadPool.h CometPostAnalysis.h CometMassSpecUtils.h CometInterfaces.h CometDecoys.h
 	${CXX} ${CXXFLAGS} CometPostAnalysis.cpp -c
 CometWriteOut.o:      CometWriteOut.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometWriteOut.h CometInterfaces.h
 	${CXX} ${CXXFLAGS} CometWriteOut.cpp -c

=== debian/changelog ===
comet-ms (2017014-2) unstable; urgency=medium

  * Fix problem with library linking in the Makefile. Thanks to Gianfranco
    Costamagna <locutusofborg@debian.org> for re-reporting that bug
    (Closes: #891750). In fact, he saw that the rules duplicated code and the
    Makefile such that the Makefile did not direct compilation, since that
    compilation was local.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 02 Mar 2018 11:34:35 +0100

comet-ms (2017014-1) unstable; urgency=medium

  * New upstream version.

  * Updated the patch that modifies the two Makefile_s such that
    libmstoolkitlite is used from the Debian package. Tested the comet-ms
    binary ok.

  * Fix problem with library linking in the Makefile. Thanks to Gianfranco
    Costamagna <locutusofborg@debian.org> for reporting that bug
    (Closes: #891750).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Mar 2018 11:37:59 +0100

comet-ms (2017012-2) unstable; urgency=medium

  * Removed unused heavy directories from the orig source tarball.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 03 Dec 2017 22:17:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: debhelper (>=9.20130630),
-	dpkg-dev (>= 1.16.1~),
-	libmstoolkit-dev (>= 82),
-	libmstoolkit-dev (<< 83),
-	docbook-to-man
+               dpkg-dev (>= 1.16.1~),
+               libmstoolkit-dev (>= 82),
+               libmstoolkit-dev (<< 83),
+               docbook-to-man
 Standards-Version: 4.1.1
 Homepage: http://sourceforge.net/projects/comet-ms/
 Vcs-Git: https://anonscm.debian.org/git/debichem/packages/comet-ms.git
@@ -15,7 +15,8 @@
 
 Package: comet-ms
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: libmstoolkit82 (>= 82),
+         ${shlibs:Depends},
          ${misc:Depends}
 Description: Tandem mass spectrometry (MS/MS) search engine
  Comet is an open source tandem mass spectrometry (MS/MS) sequence

## comet-ms 2018012

=== Makefile ===
CXX = g++
MSTOOLKIT = MSToolkit
COMETSEARCH = CometSearch
override CXXFLAGS += -O3 -Wall -Wextra -static -Wno-char-subscripts -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D__LINUX__ -I$(MSTOOLKIT)/include -I$(COMETSEARCH)
EXECNAME = comet.exe
OBJS = Comet.o
DEPS = CometSearch/CometData.h CometSearch/CometDataInternal.h CometSearch/CometPreprocess.h CometSearch/CometWriteOut.h CometSearch/CometWriteSqt.h CometSearch/OSSpecificThreading.h CometSearch/CometMassSpecUtils.h CometSearch/CometSearch.h CometSearch/CometCheckForUpdates.h CometSearch/CometWritePepXML.h CometSearch/CometWriteTxt.h CometSearch/Threading.h CometSearch/CometPostAnalysis.h CometSearch/CometSearchManager.h CometSearch/CometWritePercolator.h CometSearch/Common.h CometSearch/ThreadPool.h CometSearch/CometMassSpecUtils.cpp CometSearch/CometSearch.cpp CometSearch/CometCheckForUpdates.cpp CometSearch/CometWritePepXML.cpp CometSearch/CometWriteTxt.cpp CometSearch/CometPostAnalysis.cpp CometSearch/CometSearchManager.cpp CometSearch/CometWritePercolator.cpp CometSearch/Threading.cpp CometSearch/CometPreprocess.cpp CometSearch/CometWriteOut.cpp CometSearch/CometWriteSqt.cpp

LIBPATHS = -L$(MSTOOLKIT) -L$(COMETSEARCH)
LIBS = -lcometsearch -lmstoolkitlite -lm -lpthread
ifdef MSYSTEM
   LIBS += -lws2_32
endif

comet.exe: $(OBJS)
	cd $(MSTOOLKIT) ; make lite ; cd ../CometSearch ; make
	${CXX} $(CXXFLAGS) $(OBJS) $(LIBPATHS) $(LIBS) -o ${EXECNAME}

Comet.o: Comet.cpp $(DEPS)
	${CXX} ${CXXFLAGS} Comet.cpp -c

clean:
	rm -f *.o ${EXECNAME}
	cd $(MSTOOLKIT) ; make clean ; cd ../CometSearch ; make clean

=== CometSearch/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 CXX = g++
 GCC = gcc
 MSTOOLKIT = ../MSToolkit
-override CXXFLAGS += -O3 -Wall -Wextra -Wno-write-strings -static -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DGCC -I. -I$(MSTOOLKIT)/include
+override CXXFLAGS += -O3 -Wall -fpermissive -Wextra -Wno-write-strings -static -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DGCC -I. -I$(MSTOOLKIT)/include
 
-COMETSEARCH = Threading.o CometInterfaces.o CometSearch.o CometPreprocess.o CometPostAnalysis.o CometMassSpecUtils.o CometWriteOut.o CometWriteSqt.o CometWritePepXML.o CometWritePercolator.o CometWriteTxt.o CometSearchManager.o
+COMETSEARCH = Threading.o CometInterfaces.o CometSearch.o CometPreprocess.o CometPostAnalysis.o CometMassSpecUtils.o CometWriteOut.o CometWriteSqt.o CometWritePepXML.o CometWritePercolator.o CometWriteTxt.o CometSearchManager.o CometCheckForUpdates.o
 
 all:  $(COMETSEARCH)
 	ar rcs libcometsearch.a $(COMETSEARCH)
@@ -31,7 +31,9 @@
 	${CXX} ${CXXFLAGS} CometWritePercolator.cpp -c
 CometWriteTxt.o:      CometWriteTxt.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometWriteTxt.h CometInterfaces.h
 	${CXX} ${CXXFLAGS} CometWriteTxt.cpp -c
-CometSearchManager.o:      CometSearchManager.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometSearch.h CometPostAnalysis.h CometWriteOut.h CometWriteSqt.h CometWriteTxt.h CometWritePepXML.h CometWritePercolator.h Threading.h ThreadPool.h CometSearchManager.h CometInterfaces.h
+CometCheckForUpdates.o:   CometCheckForUpdates.cpp Common.h CometCheckForUpdates.h
+	${CXX} ${CXXFLAGS} CometCheckForUpdates.cpp -c
+CometSearchManager.o:      CometSearchManager.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometSearch.h CometPostAnalysis.h CometWriteOut.h CometWriteSqt.h CometWriteTxt.h CometWritePepXML.h CometWritePercolator.h Threading.h ThreadPool.h CometSearchManager.h CometInterfaces.h CometCheckForUpdates.h
 	${CXX} ${CXXFLAGS} CometSearchManager.cpp -c
 CometInterfaces.o:      CometInterfaces.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometSearch.h CometPostAnalysis.h CometWriteOut.h CometWriteSqt.h CometWriteTxt.h CometWritePepXML.h CometWritePercolator.h Threading.h ThreadPool.h CometSearchManager.h CometInterfaces.h
 	${CXX} ${CXXFLAGS} CometInterfaces.cpp -c

=== debian/changelog ===
comet-ms (2018012-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:36:31 +0100

comet-ms (2018012-1) unstable; urgency=low

  * New upstream release.
  * New version of the build system patch.
  * Bump-up Standards-Version to 4.2.1 (no changes needed).
  * Update the Vcs fields to match the salsa location.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 18 Nov 2018 10:05:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,20 +19,12 @@
 %:
 	dh $@
 
-override_dh_auto_configure: clean
-	echo "configuring"
-	mkdir debian/build
-	cp -vf debian/Makefile debian/build
-	cp -vf Comet.cpp debian/build
-	cp -vf CometSearch/*.[ch]* debian/build
-
 override_dh_auto_clean:
-	rm -rf debian/build
 	rm -f debian/comet-ms.1
 
 manpage:
 	docbook-to-man debian/comet-ms.sgml > debian/comet-ms.1
 
 override_dh_auto_build: manpage
-	cd debian/build && make
+	make

## comet-ms 2019015+cleaned1

=== Makefile ===
CXX = g++
MSTOOLKIT = MSToolkit
COMETSEARCH = CometSearch

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
   override CXXFLAGS += -O3 -fpermissive -Wall -Wextra -Wno-char-subscripts -DCURL_STATICLIB -DHTTP_ONLY -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D__LINUX__ -I$(MSTOOLKIT)/include -I$(COMETSEARCH)
else
   override CXXFLAGS += -O3 -static -fpermissive -Wall -Wextra -Wno-char-subscripts -DCURL_STATICLIB -DHTTP_ONLY -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D__LINUX__ -I$(MSTOOLKIT)/include -I$(COMETSEARCH)
endif

EXECNAME = comet.exe
OBJS = Comet.o
DEPS = CometSearch/CometData.h CometSearch/CometDataInternal.h CometSearch/CometPreprocess.h CometSearch/CometWriteOut.h CometSearch/CometWriteSqt.h CometSearch/OSSpecificThreading.h CometSearch/CometMassSpecUtils.h CometSearch/CometSearch.h CometSearch/CometWritePepXML.h CometSearch/CometWriteTxt.h CometSearch/Threading.h CometSearch/CometPostAnalysis.h CometSearch/CometSearchManager.h CometSearch/CometWritePercolator.h CometSearch/CometCheckForUpdates.h CometSearch/Common.h CometSearch/ThreadPool.h CometSearch/CometMassSpecUtils.cpp CometSearch/CometSearch.cpp CometSearch/CometWritePepXML.cpp CometSearch/CometWriteTxt.cpp CometSearch/CometPostAnalysis.cpp CometSearch/CometSearchManager.cpp CometSearch/CometWritePercolator.cpp CometSearch/Threading.cpp CometSearch/CometPreprocess.cpp CometSearch/CometWriteOut.cpp CometSearch/CometWriteSqt.cpp CometSearch/CometCheckForUpdates.cpp

LIBPATHS = -L$(MSTOOLKIT) -L$(COMETSEARCH)
LIBS = -lcometsearch -lmstoolkitlite -lm -lpthread 
ifdef MSYSTEM
   LIBS += -lws2_32
endif

comet.exe: $(OBJS)
	cd $(MSTOOLKIT) ; make arlib; cd ../CometSearch ; make

ifeq ($(UNAME_S),Darwin)
	${CXX} $(OBJS) -headerpad_max_install_names -o ${EXECNAME} $(CXXFLAGS) $(LIBPATHS) $(LIBS)
else
	${CXX} $(OBJS) -o ${EXECNAME} $(CXXFLAGS) $(LIBPATHS) $(LIBS)
endif

Comet.o: Comet.cpp $(DEPS)
	${CXX} ${CXXFLAGS} Comet.cpp -c

clean:
	rm -f *.o ${EXECNAME}
	cd $(MSTOOLKIT) ; make clean ; cd ../CometSearch ; make clean

=== CometSearch/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CXX = g++
 GCC = gcc
 MSTOOLKIT = ../MSToolkit
-override CXXFLAGS += -O3 -Wall -fpermissive -Wextra -Wno-write-strings -static -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DGCC -I. -I$(MSTOOLKIT)/include
+override CXXFLAGS += -O3 -fpermissive -Wall -Wextra -Wno-write-strings -static -std=c++11 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DGCC -I. -I$(MSTOOLKIT)/include
 
 COMETSEARCH = Threading.o CometInterfaces.o CometSearch.o CometPreprocess.o CometPostAnalysis.o CometMassSpecUtils.o CometWriteOut.o CometWriteSqt.o CometWritePepXML.o CometWritePercolator.o CometWriteTxt.o CometSearchManager.o CometCheckForUpdates.o
 
@@ -33,7 +33,7 @@
 	${CXX} ${CXXFLAGS} CometWriteTxt.cpp -c
 CometCheckForUpdates.o:   CometCheckForUpdates.cpp Common.h CometCheckForUpdates.h
 	${CXX} ${CXXFLAGS} CometCheckForUpdates.cpp -c
-CometSearchManager.o:      CometSearchManager.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometSearch.h CometPostAnalysis.h CometWriteOut.h CometWriteSqt.h CometWriteTxt.h CometWritePepXML.h CometWritePercolator.h Threading.h ThreadPool.h CometSearchManager.h CometInterfaces.h CometCheckForUpdates.h
+CometSearchManager.o:     CometSearchManager.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometSearch.h CometPostAnalysis.h CometWriteOut.h CometWriteSqt.h CometWriteTxt.h CometWritePepXML.h CometWritePercolator.h Threading.h ThreadPool.h CometSearchManager.h CometInterfaces.h CometCheckForUpdates.h
 	${CXX} ${CXXFLAGS} CometSearchManager.cpp -c
 CometInterfaces.o:      CometInterfaces.cpp Common.h CometData.h CometDataInternal.h CometMassSpecUtils.h CometSearch.h CometPostAnalysis.h CometWriteOut.h CometWriteSqt.h CometWriteTxt.h CometWritePepXML.h CometWritePercolator.h Threading.h ThreadPool.h CometSearchManager.h CometInterfaces.h
 	${CXX} ${CXXFLAGS} CometInterfaces.cpp -c

=== debian/changelog ===
comet-ms (2019015+cleaned1-3) unstable; urgency=low

  * d/rules: Fix problem with invoking 'make' for building
    the software. Replace with dh_auto_build (thanks to Helmut Grohne
    <helmut@subdivi.de> for the report and the patch; Closes: #929760)

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 13 Aug 2020 23:49:04 +0200

comet-ms (2019015+cleaned1-2) unstable; urgency=low

  *  Since July 2019, binaries uploaded by maintainers are not allowed to
     migrate to testing. In other words, packages must have source-only uploads
     before they can reach the next release 
     (Thanks to Boyuan Yang <byang@debian.org> ; Closes: #961024).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 May 2020 16:19:37 +0200

comet-ms (2019015+cleaned1-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 May 2020 20:20:47 +0200

comet-ms (2018012-2) UNRELEASED; urgency=medium

  [ Daniel Leidert ]
  * d/control (Vcs-Browser): Fix URL.
    (Homepage): Point to projects homepage.
  * d/watch: Added.

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Fri, 15 Feb 2019 22:10:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>=9.20130630),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
                libmstoolkit-dev (>= 82),
                libmstoolkit-dev (<< 83),
                docbook-to-man
-Standards-Version: 4.1.1
-Homepage: http://sourceforge.net/projects/comet-ms/
-Vcs-Git: https://anonscm.debian.org/git/debichem/packages/comet-ms.git
-Vcs-Browser: https://anonscm.debian.org/git/debichem/packages/comet-ms.git
+Standards-Version: 4.5.0
+Homepage: http://comet-ms.sourceforge.net
+Vcs-Browser: https://salsa.debian.org/debichem-team/comet-ms
+Vcs-Git: https://salsa.debian.org/debichem-team/comet-ms.git
 
 Package: comet-ms
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	rm -f debian/comet-ms.1

manpage:
	docbook-to-man debian/comet-ms.sgml > debian/comet-ms.1

override_dh_auto_build: manpage
	dh_auto_build

=== debian/watch ===
version=4
opts="repack, compression=gzip" \
  http://sf.net/comet-ms/comet_(\d+)\.zip
